[phases.setup]
nixpkgsArchive = 'nixpkgs-unstable'
nixPkgs =  [ '(pkgs.beam.packagesWith pkgs.erlang_26).elixir_1_16', 'nodejs', 'yarn' ]

[phases.build]
cmds = [ 'cd assets && yarn', 'mix deps.get', 'mix assets.setup', 'mix assets.deploy', 'cp -r page priv/page' ]

[start]
cmd = 'mix phx.server'
